Page MenuHomeVyOS Platform

build-vmware-image script ignores the predefined file path, uses the environment variable unconditionally.
Closed, ResolvedPublic

Description

The PR in question is here: https://github.com/vyos/vyos-build/pull/98

Please review/merge?

This PR resolves an issue where the build-vmware-image script ignores the predefined file path, uses the environment variable unconditionally.

Thanks!

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

chrismarget triaged this task as Normal priority.Apr 7 2020, 9:29 PM
chrismarget created this task.
chrismarget created this object in space S1 VyOS Public.
syncer assigned this task to kroy.Apr 7 2020, 9:34 PM
syncer edited projects, added VyOS 1.3 Equuleus; removed vyos-build.

Thanks, Yuriy.

Did I do the wrong thing by tagging this for vyos-build?

I was planning on submitting another PR that (at least partially) eliminates the dependency on ovftool. If I'm getting the etiquette wrong, I'd like to know.

syncer added a subscriber: syncer.Apr 7 2020, 10:34 PM

Not really, just make sure you include VyOS 1.3 project so we can track what can be backported
you will need to adjust your PR message to include task number T2239

syncer renamed this task from Review/Merge(?) PR #98 in vyos-build to build-vmware-image script ignores the predefined file path, uses the environment variable unconditionally..Apr 7 2020, 10:35 PM

@chrismarget we autogenerate list of resolved issues for releases
so tasks names should be with more context

kroy added a comment.Apr 8 2020, 1:07 AM

Looks good. I don't have merge access but this definitely is a fix to an oversight in the build.

syncer changed the task status from Open to Confirmed.Apr 8 2020, 1:09 AM
syncer reassigned this task from kroy to jestabro.
syncer moved this task from Need Triage to Backport Candidates on the VyOS 1.3 Equuleus board.
syncer added a subscriber: kroy.
pasik added a subscriber: pasik.Apr 8 2020, 10:18 AM
jestabro closed this task as Resolved.May 1 2020, 6:56 PM